// Copyright IBM Corp. 2016. All Rights Reserved.
// Node module: apiconnect-cli-policies
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

/********************************************************* {COPYRIGHT-TOP} ***
 * IBM Confidential
 * OCO Source Materials
 * 5725-C11, 5725-C12, 7198-8FX, 5725-F70, 5725-F71, 5725-F72, 5725-L30
 *
 * (C) Copyright IBM Corporation 2015  All Rights Reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 ********************************************************* {COPYRIGHT-END} **/

var g = require('strong-globalize')();
var logger = require('apiconnect-cli-logger');

function formatter() {}

formatter.prototype.listFormatter = function(spaces) {
  spaces.forEach(function(space) {
    logger.writeln(space.spaceConfigUrl);
  });
};

formatter.prototype.getFormatter = function(space, options) {
  logger.writeln(g.f('name: %s', space.name));
  logger.writeln(g.f('display name: %s', space.title));
  logger.writeln(g.f('catalog: %s', options.catalog));
  logger.writeln(g.f('organization: %s', options.organization));
};

formatter.prototype.createFormatter = function(space, options) {
  logger.writeln(g.f('Created %s:%s:%s', options.organization, options.catalog, space.name));
};

formatter.prototype.deleteFormatter = function(options) {
  logger.writeln(g.f('Deleted %s:%s:%s', options.organization, options.catalog, options.space));
};

formatter.prototype.setFormatter = function(space, options) {
  logger.writeln(g.f('Updated space %s in catalog %s in %s organization',
    space.name, options.catalog, options.organization));
};

module.exports = formatter;
