#!/usr/bin/env node
// Copyright IBM Corp. 2016. All Rights Reserved.
// Node module: apiconnect-cli-policies
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

/********************************************************* {COPYRIGHT-TOP} ***
 * IBM Confidential
 * OCO Source Materials
 * 5725-C11, 5725-C12, 7198-8FX, 5725-F70, 5725-F71, 5725-F72, 5725-L30
 *
 * (C) Copyright IBM Corporation 2015  All Rights Reserved.
 *
 * The source code for this program is not published or otherwise
 * divested of its trade secrets, irrespective of what has been
 * deposited with the U.S. Copyright Office.
 ********************************************************* {COPYRIGHT-END} **/

var Formatter = require('./formatter');
var spaces = require('apiconnect-apim-client').spaces;

module.exports.spacesList = spacesList;
function spacesList(options) {
  var fmt = new Formatter();
  return spaces.list(options).then(function(results) {
    fmt.listFormatter(results);
  });
};

module.exports.spacesGet = spacesGet;
function spacesGet(name, options) {
  var fmt = new Formatter();
  options.space = name;
  return spaces.get(options).then(function(result) {
    fmt.getFormatter(result, options);
  });
}

module.exports.spacesCreate = spacesCreate;
function spacesCreate(displayName, options) {
  var fmt = new Formatter();
  options.displayName = displayName;
  return spaces.create(options).then(function(result) {
    fmt.createFormatter(result, options);
  });
}

module.exports.spacesDelete = spacesDelete;
function spacesDelete(name, options) {
  var fmt = new Formatter();
  options.space = name;
  return spaces.del(options).then(function() {
    fmt.deleteFormatter(options);
  });
}

module.exports.spacesSet = spacesSet;
function spacesSet(name, options) {
  var fmt = new Formatter();
  options.space = name;
  return spaces.set(options).then(function(result) {
    fmt.setFormatter(result, options);
  });
}

